Subject: Re: Execute permission not set when creating files
From: "John Cooper" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 28 Oct 2008 22:15:45 -0000
List-Id: <cygwin.cygwin.com>

Christopher Faylor wrote:

  > Are you sure you're using the cygwin version of all utilities?  You seem
to
  > have some duplication between c:\cygwin\bin and c:\bin.

I have a custom version of `ls' in the bin directly, but it's definitely the
Cygwin version of `touch'.
I also get the same problem when I run `echo hi > b.txt':

$ umask  
022
$ type echo                                                     
echo is a shell builtin
echo is /c/cygwin/bin/echo
$ echo hi > b.txt                                              
$ ls -l b.txt                                                      
-rw-r--r-- 1 John None 3 Oct 28 22:08 b.txt

(btw, I've tried with zsh and bash and the problem occurs with both.)

    --- John.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/